function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { Dropdown } from '@pisell/materials';
import { ChevronDown } from '@pisell/icon';
import React, { useState } from 'react';
import "./index.less";
var sortItems = [{
  key: '1',
  label: 'Created time',
  children: [{
    key: 'created_at:desc',
    label: 'Oldest to newest'
  }, {
    key: 'created_at:asc',
    label: 'Newest to oldest'
  }]
}
// {
//   key: '2',
//   label: 'Alphabetical',
//   children: [
//     {
//       key: 'letter:asc',
//       label: 'A to Z',
//     },
//     {
//       key: 'letter:desc',
//       label: 'Z to A',
//     },
//   ],
// },
// {
//   key: '3',
//   label: 'Opened by you',
//   children: [
//     {
//       key: 'o1',
//       label: 'Oldest to newest',
//     },
//     {
//       key: 'o2',
//       label: 'Newest to oldest',
//     },
//   ],
// },
];
var Sort = function Sort(props) {
  var onChange = props.onChange;
  var _useState = useState('Created time'),
    _useState2 = _slicedToArray(_useState, 2),
    current = _useState2[0],
    setCurrent = _useState2[1];
  var onClick = function onClick(detail) {
    var clickItem = sortItems.find(function (item) {
      return (item === null || item === void 0 ? void 0 : item.key) === detail.keyPath.at(-1);
    });
    setCurrent(clickItem === null || clickItem === void 0 ? void 0 : clickItem.label);
    onChange === null || onChange === void 0 || onChange(detail.keyPath);
  };
  return /*#__PURE__*/React.createElement(Dropdown, {
    menu: {
      items: sortItems,
      onClick: onClick
    }
  }, /*#__PURE__*/React.createElement("span", {
    className: 'sort-warp'
  }, /*#__PURE__*/React.createElement("span", {
    className: 'type'
  }, current), /*#__PURE__*/React.createElement(ChevronDown, {
    className: 'down-icon'
  })));
};
export default Sort;